Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.PageNumberRange Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| PageNumberRange (int start_number, int end_number, Range.Filter filter)
| Constructor, with parameters. More...
| PageNumberRange ()
| Constructor.
| PageNumberRange (PageNumberRange page_range)
| Constructor, with another page number range object. More...
void | Set (int start_number, int end_number, Range.Filter filter)
| Set value. More...

## Properties
int | end_number`[get, set]`
| Page number of the end page in current range, starting from 1.
Range.Filter | filter`[get, set]`
| Filter type to decide which page numbers of this range would be used. Please refer to values starting from foxit.common.Range.Filter.e_All and this should be one of these values.
int | start_number`[get, set]`
| Page number of the start page in current range, starting from 1.

## Detailed Description

This class represents the page number range (not index range) which is used for class HeaderFooter .

See also
  HeaderFooter

## Constructor & Destructor Documentation

## ◆ PageNumberRange() [1/2]

foxit.pdf.PageNumberRange.PageNumberRange | ( | int | start_number,
|  | int | end_number,
|  | Range.Filter | filter
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from foxit.common.Range.Filter.e_All and this should be one of these values.

## ◆ PageNumberRange() [2/2]

foxit.pdf.PageNumberRange.PageNumberRange | ( | PageNumberRange | page_range | ) |
| inline

Constructor, with another page number range object.

Parameters

  [in] | page_range | Another page number range object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.PageNumberRange.Set | ( | int | start_number,
|  | int | end_number,
|  | Range.Filter | filter
| ) |  |
| inline

Set value.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from foxit.common.Range.Filter.e_All and this should be one of these values.

Returns
  None.